Name:           perl-MouseX-Foreign
Version:        1.000
Release:        %mkrel 6
Summary:        Extends non-Mouse classes as well as Mouse classes
License:        GPL+ or Artistic
Group:          Development/C
URL:            https://metacpan.org/release/MouseX-Foreign
Source0:        https://cpan.metacpan.org/authors/id/G/GF/GFUJI/MouseX-Foreign-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(CPAN::Meta)
BuildRequires:  perl(CPAN::Meta::Prereqs)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(strict)
BuildRequires:  perl(utf8)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(Carp)
BuildRequires:  perl(Mouse) >= 0.77
BuildRequires:  perl(Mouse::Role)
BuildRequires:  perl(Mouse::Util)
BuildRequires:  perl(Mouse::Util::MetaRole)
# Tests:
BuildRequires:  perl(Any::Moose) >= 0.15
BuildRequires:  perl(base)
BuildRequires:  perl(Class::Struct)
BuildRequires:  perl(Math::BigInt)
BuildRequires:  perl(Mouse::Exporter)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Test::Mouse)
BuildRequires:  perl(Test::Requires)
# Optional tests:
BuildRequires:  perl(Moose)
Requires:       perl(Mouse) >= 0.77

# Remove under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\(Mouse\\)$

%description
MouseX::Foreign Perl module provides an ability for Mouse classes to extend
any classes, including non-Mouse classes, including Moose classes.

%prep
%setup -q -n MouseX-Foreign-%{version}

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%license LICENSE
%doc Changes README.md
%{perl_vendorlib}/*
%{_mandir}/man3/*



%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.000-6.mga10
+ Revision: 2199996
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.000-5.mga9
+ Revision: 1804799
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.000-4.mga8
+ Revision: 1495742
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.000-3.mga7
+ Revision: 1269842
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.000-2.mga6
+ Revision: 1030734
- Rebuild for perl 5.22.2

* Thu Mar 24 2016 tv <tv> 1.000-1.mga6
+ Revision: 995092
- imported package perl-MouseX-Foreign


* Thu Mar 24 2016 Thierry Vignaud <tv@mageia.org> 1.000-1.mga6
- import from FC
